summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorEike Ziller <eike.ziller@digia.com>2014-09-03 16:07:46 +0200
committerEike Ziller <eike.ziller@digia.com>2014-09-03 16:08:02 +0200
commit49db3a450a6d15ae0327b8e3713920ac19320972 (patch)
tree309c83eb1dbb6321845d6a1db8fbc49428b20340 /scripts
parentafd56bd8ada761b87c40d80a07cd3b3766b2d2f8 (diff)
parentd030a960a0e6e1dda89e20b60e5252842fe83f49 (diff)
downloadqt-creator-49db3a450a6d15ae0327b8e3713920ac19320972.tar.gz
Merge remote-tracking branch 'origin/3.2'
Conflicts: qtcreator.pri qtcreator.qbs src/plugins/coreplugin/editormanager/editormanager.cpp src/plugins/cppeditor/cppeditor.cpp src/plugins/remotelinux/remotelinuxdebugsupport.cpp src/plugins/texteditor/basetexteditor.cpp Change-Id: I0da7c1cf2506b12d0563795aa8177fc45e97050f
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/deployqtHelper_mac.sh16
1 files changed, 5 insertions, 11 deletions
diff --git a/scripts/deployqtHelper_mac.sh b/scripts/deployqtHelper_mac.sh
index 3331e27a2e..d8e729c787 100755
--- a/scripts/deployqtHelper_mac.sh
+++ b/scripts/deployqtHelper_mac.sh
@@ -23,20 +23,14 @@ if [ -d "$5" ]; then
cp -R "$5"/ "$imports2Dir"/
fi
-qmlpuppetapp="$1/Contents/MacOS/qmlpuppet.app"
+qmlpuppetapp="$1/Contents/MacOS/qmlpuppet"
if [ -d "$qmlpuppetapp" ]; then
- qmlpuppetArgument="-executable=$qmlpuppetapp/Contents/MacOS/qmlpuppet"
- qmlpuppetResources="$1/Contents/MacOS/qmlpuppet.app/Contents/Resources"
- test -d "$qmlpuppetResources" || mkdir -p "$qmlpuppetResources"
- cp "$(dirname "${BASH_SOURCE[0]}")/../dist/installer/mac/qmlpuppet_qt.conf" "$qmlpuppetResources/qt.conf" || exit 1
+ qmlpuppetArgument="-executable=$qmlpuppetapp"
fi
-qml2puppetapp="$1/Contents/MacOS/qml2puppet.app"
+qml2puppetapp="$1/Contents/MacOS/qml2puppet"
if [ -d "$qml2puppetapp" ]; then
- qml2puppetArgument="-executable=$qml2puppetapp/Contents/MacOS/qml2puppet"
- qml2puppetResources="$1/Contents/MacOS/qml2puppet.app/Contents/Resources"
- test -d "$qml2puppetResources" || mkdir -p "$qml2puppetResources"
- cp "$(dirname "${BASH_SOURCE[0]}")/../dist/installer/mac/qmlpuppet_qt.conf" "$qml2puppetResources/qt.conf" || exit 1
+ qml2puppetArgument="-executable=$qml2puppetapp"
fi
macdeployqt "$1" \
@@ -66,6 +60,6 @@ if [ $LLVM_INSTALL_DIR ]; then
if [ ! -f "$_CLANG_CODEMODEL_LIB" ]; then
_CLANG_CODEMODEL_LIB="$1/Contents/PlugIns/libClangCodeModel.dylib"
fi
- xcrun install_name_tool -rpath "$LLVM_INSTALL_DIR/lib" "@loader_path/.." "$_CLANG_CODEMODEL_LIB" || true
+ xcrun install_name_tool -rpath "$LLVM_INSTALL_DIR/lib" "@loader_path/" "$_CLANG_CODEMODEL_LIB" || true
fi